.process {
  background: var(--light-background);
  padding-block: var(--section-padding);
}

/* Заголовок + описание */
.process__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: var(--gap);
}
.process__title-wrapper {
  max-width: 820px;
}
.process__title {
  margin: 0 0 0.5rem;
}
.process__subtitle {
  font-size: clamp(1rem, 2vw, 1.1rem);
  color: var(--color-primary);
}

/* Стрелки */
.process__slider-nav {
  display: flex;
  gap: 1rem;
}
.process__arrow {
  border: 1px solid var(--color-black);
  border-radius: 50%;
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background var(--transition);
  padding: 0;
  width: 40px;
  height: 40px;
  transition: opacity .2s linear;
}
.process__arrow:hover {
  background: transparent;
}

.is-disabled.process__arrow {
  
opacity: 0.3;
  
pointer-events: none;
  
cursor: default;
}


.process__arrow--next svg {
  transform: rotate(180deg);
}

/* Слайдер */
.process__slider-wrap {
  overflow: hidden;
  margin-top: 2rem;
}
.process__slider {
  display: flex;
  gap: var(--gap);
  transition: transform 0.4s ease;
  will-change: transform;
}

/* Слайды */
.process__slide {
  flex: 0 0 calc((100% - (var(--gap) * 3)) / 4);
  background: var(--dark-background);
  box-sizing: border-box;
  padding: var(--gap);
  display: flex;
  flex-direction: column;
  gap: var(--gap);
}

.process__item-name {
  font-size: clamp(0.85rem, 2vw, 1rem);
  line-height: 1.4;
  font-weight: 400;
}
.process__image-wrap {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
}
.process__image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Адаптив: 3, 2, 1 блочно */
@media (max-width: 1200px) {
  .process__slide {
    flex: 0 0 calc((100% - (var(--gap) * 2)) / 3);
  }
}
@media (max-width: 768px) {
  .process__slide {
    flex: 0 0 calc((100% - var(--gap)) / 2);
  }

  .process__slider-nav {
    justify-content: flex-end;
    align-content: flex-end;
    align-items: flex-end;
    width: 100%;
    gap: 0.75rem;
  }
}
@media (max-width: 480px) {
  .process__slide {
    flex: 0 0 100%;
  }
}
